# Enum Options.Multiplicity

java.lang.Object
java.lang.Enum<Options.Multiplicity>
ml.options.Options.Multiplicity

All Implemented Interfaces:
  `Serializable, Comparable<Options.Multiplicity>, java.lang.constant.Constable`

Enclosing class:
  `Options`

public static enum Options.Multiplicity extends Enum<Options.Multiplicity>
An enum encapsulating the possible multiplicities for options

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ONCE`
Option needs to occur exactly once
`ONCE_OR_MORE`
Option needs to occur at least once
`ZERO_OR_MORE`
Option can occur any number of times
`ZERO_OR_ONCE`
Option needs to occur either once or not at all

## Method Summary

Modifier and Type
Method
Description
`static Options.Multiplicity`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Options.Multiplicity[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ONCE

public static final Options.Multiplicity ONCE
Option needs to occur exactly once

### ONCE_OR_MORE

public static final Options.Multiplicity ONCE_OR_MORE
Option needs to occur at least once

### ZERO_OR_ONCE

public static final Options.Multiplicity ZERO_OR_ONCE
Option needs to occur either once or not at all

### ZERO_OR_MORE

public static final Options.Multiplicity ZERO_OR_MORE
Option can occur any number of times

## Method Details

### values

public static Options.Multiplicity[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Options.Multiplicity valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null